Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface PropertyMetadata

All Superinterfaces:
  MemberMetadata, Metadata

    public interface PropertyMetadata

extends MemberMetadata

Represents a property in a class/persistent-interface.

Since:
  3.0

Method Summary
`java.lang.String` | `getFieldName()` Accessor for the field name
`PropertyMetadata` | `setFieldName(java.lang.String name)` Method to set the field name (persistent interfaces)

Methods inherited from interface javax.jdo.metadata.MemberMetadata
`getArrayMetadata, getCacheable, getCollectionMetadata, getColumn, getColumns, getCustomStrategy, getDefaultFetchGroup, getDeleteAction, getDependent, getElementMetadata, getEmbedded, getEmbeddedMetadata, getFieldType, getForeignKeyMetadata, getIndexed, getIndexMetadata, getJoinMetadata, getKeyMetadata, getLoadFetchGroup, getMapMetadata, getMappedBy, getName, getNullValue, getNumberOfColumns, getOrderMetadata, getPersistenceModifier, getPrimaryKey, getRecursionDepth, getSequence, getSerialized, getTable, getUnique, getUniqueMetadata, getValueMetadata, getValueStrategy, newArrayMetadata, newCollectionMetadata, newColumnMetadata, newElementMetadata, newEmbeddedMetadata, newForeignKeyMetadata, newIndexMetadata, newJoinMetadata, newKeyMetadata, newMapMetadata, newOrderMetadata, newUniqueMetadata, newValueMetadata, setCacheable, setColumn, setCustomStrategy, setDefaultFetchGroup, setDeleteAction, setDependent, setEmbedded, setFieldType, setIndexed, setLoadFetchGroup, setMappedBy, setName, setNullValue, setPersistenceModifier, setPrimaryKey, setRecursionDepth, setSequence, setSerialized, setTable, setUnique, setValueStrategy`

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setFieldName

    PropertyMetadata setFieldName(java.lang.String name)

  Method to set the field name (persistent interfaces)

  Parameters:
    `name` - field name

### getFieldName

    java.lang.String getFieldName()

  Accessor for the field name

  Returns:
    Field name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.